LayerButton Class Reference

Button with layer number. More...

`#include <MultiLayer.h>`

Inheritance diagram for LayerButton:

## Signals

void | clicked (LayerButton *)
void | showCurvesDialog ()
void | showLayerContextMenu ()

## Public Member Functions

| LayerButton (const QString &text=QString::null, QWidget *parent=0)

## Static Public Member Functions

static int | btnSize ()

## Protected Member Functions

void | mouseDoubleClickEvent (QMouseEvent *)
void | mousePressEvent (QMouseEvent *)

## Detailed Description

Button with layer number.

## Constructor & Destructor Documentation

LayerButton::LayerButton | ( | const QString & | text = `QString::null`,
|  | QWidget * | parent = `0`
| ) |  |

## Member Function Documentation

static int LayerButton::btnSize | ( |  | ) |

inline static

Referenced by MultiLayer::MultiLayer().

void LayerButton::clicked | ( | LayerButton * |  | ) |

signal

Referenced by mousePressEvent().

void LayerButton::mouseDoubleClickEvent | ( | QMouseEvent * |  | ) |

protected

References showCurvesDialog().

void LayerButton::mousePressEvent | ( | QMouseEvent * | event | ) |

protected

References clicked(), and showLayerContextMenu().

void LayerButton::showCurvesDialog | ( |  | ) |

signal

Referenced by mouseDoubleClickEvent().

void LayerButton::showLayerContextMenu | ( |  | ) |

signal

Referenced by mousePressEvent().

The documentation for this class was generated from the following files:

- qtiplot/src/plot2D/MultiLayer.h
- qtiplot/src/plot2D/MultiLayer.cpp